Get asset timeseries data
curl --request GET \
--url https://api.messari.io/metrics/v2/assets/{assetID}/metrics/{datasetSlug}/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/assets/{assetID}/metrics/{datasetSlug}/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/assets/{assetID}/metrics/{datasetSlug}/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"points": [
[
1748736000,
104729.2072916125,
105927.26807578972,
103720.19999058776,
105656.22864515736
],
[
1748822400,
105658.92299858449,
105992.1273801626,
103735.46779448254,
105898.90983196444
],
[
1748908800,
105896.38739709451,
106790.13927085044,
104918.11817101362,
105402.4445014
],
[
1748995200,
105407.80668470112,
105996.44497344238,
104319.0466004516,
104737.29919383606
],
[
1749081600,
104746.64834316898,
105976.08059532435,
100559.43093223224,
101613.17147431568
]
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "Open Price",
"slug": "open",
"description": "Price at the candle open.",
"is_timestamp": false
},
{
"name": "High Price",
"slug": "high",
"description": "High price during the candle.",
"is_timestamp": false
},
{
"name": "Low Price",
"slug": "low",
"description": "Low price during the candle.",
"is_timestamp": false
},
{
"name": "Close Price",
"slug": "close",
"description": "Price at the candle close.",
"is_timestamp": false
}
],
"granularity": "1d"
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Assets & Market Data (included with Enterprise)
Asset Timeseries
Retrieve a specific asset’s timeseries data
GET
/
metrics
/
v2
/
assets
/
{assetID}
/
metrics
/
{datasetSlug}
/
time-series
/
{granularity}
Get asset timeseries data
x402 Support: Supported.
See the x402 guide.
Granularity Parameter
Thegranularity path parameter controls the time interval for each data point:
| Granularity | Description | Max Datapoints |
|---|---|---|
5m | 5-minute data points | 1,440 |
1h | Hourly data points | 5,000 |
1d | Daily data points (default) | 5,000 |
1w | Weekly data points | 5,000 |
Not all datasets support all granularities. See the table below for supported granularities by dataset.
Dataset Granularity Support
| Dataset | 5m | 1h (Hourly) | 1d (Daily) | 1w (Weekly) |
|---|---|---|---|---|
price | ✅ | ✅ | ✅ | ✅ |
futures-funding-rate | ❌ | ✅ | ✅ | ❌ |
futures-open-interest | ❌ | ✅ | ✅ | ❌ |
futures-volume | ❌ | ✅ | ✅ | ❌ |
marketcap | ❌ | ✅ | ✅ | ✅ |
supply | ❌ | ❌ | ✅ | ✅ |
volatility | ❌ | ❌ | ✅ | ✅ |
sharpe-ratio | ❌ | ❌ | ✅ | ✅ |
stablecoin-network-breakdown | ❌ | ❌ | ✅ | ✅ |
stablecoin-supply | ❌ | ❌ | ✅ | ✅ |
stablecoin-transfers | ❌ | ❌ | ✅ | ✅ |
Authorizations
Path Parameters
Asset identifier - accepts slugs (e.g. 'bitcoin') or UUIDs
Example:
"bitcoin"
Dataset slug identifier. Use /metrics/v2/assets/metrics to see all available datasets.
Available options:
futures-funding-rate, futures-open-interest, futures-volume, marketcap, price, sharpe-ratio, supply, volatility Granularity - time interval for data points
Available options:
5m, 1h, 1d, 1w Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

